Package org.apache.calcite.avatica

## Class MetaImpl.MetaColumnPrivilege

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaColumnPrivilege

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaColumnPrivilege
    extends java.lang.Object

Metadata describing a column privilege.

### Field Summary

Fields
`java.lang.String` `columnName`
`java.lang.String` `grantee`
`java.lang.String` `grantor`
`java.lang.String` `isGrantable`
`java.lang.String` `privilege`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`

### Constructor Summary

Constructors
`MetaColumnPrivilege​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, java.lang.String columnName, java.lang.String grantor, java.lang.String grantee, java.lang.String privilege, java.lang.String isGrantable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### columnName

    public final java.lang.String columnName

#### grantor

    public final java.lang.String grantor

#### grantee

    public final java.lang.String grantee

#### privilege

    public final java.lang.String privilege

#### isGrantable

    public final java.lang.String isGrantable

### Constructor Detail

#### MetaColumnPrivilege

    public MetaColumnPrivilege​(java.lang.String tableCat,
                               java.lang.String tableSchem,
                               java.lang.String tableName,
                               java.lang.String columnName,
                               java.lang.String grantor,
                               java.lang.String grantee,
                               java.lang.String privilege,
                               java.lang.String isGrantable)